<?php
/**
 *
 * @package Luzuk Premium
 */

if(get_theme_mod('blog_area_disable') != 'on' ){ ?>
	<?php 
 	if( get_theme_mod('blog_areaTpadding',true) ) {
 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
 	}
 	if( get_theme_mod('blog_areaBpadding',true) ) {
 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
 	}
 	?>
<div  class="blog-area textcenter" id="blog" style="<?php echo esc_attr($blog_areaTpadding); ?>" "<?php echo esc_attr($blog_areaBpadding); ?>" >
		<?php			
 			$blog_title = get_theme_mod('blog_title_title', '<span>Latest</span> News');
 			$blog_subtitle = get_theme_mod('blog_title_subtitle', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has industry,s.');
 		?>

		<div class="container">
			<div class=" wow fadeInUp" data-wow-duration="1s">
				<div class="row justify-content-center">
					<?php if($blog_title || $blog_subtitle) { ?>
					<div class="col-xl-6 col-lg-6 col-sm-8">
						<div class="section-title">
							<h2><?php echo ($blog_title);  ?></h2>
							<p><?php echo ($blog_subtitle);  ?></p>
							
						</div>
					</div>
					<?php }?>
				</div>
				<div class="row">
					<div class="blog-area-wrap">
						<div class="blog-posts">

						<?php 
						$blog_post_count = get_theme_mod('blog_post_count', 3 );
						$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
						$blog_cat_exclude = explode(',', $blog_cat_exclude);
						$args = array(
							'posts_per_page' => absint($blog_post_count),
							'category__not_in' => $blog_cat_exclude
						);
						$query = new WP_Query($args);
						if($query -> have_posts()):
							while($query -> have_posts()) : $query -> the_post();
								$lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
								?>
								<?php 
								if(has_post_thumbnail()){
									$img = esc_url($lz_fitness_image[0]);
								}
								if(empty($lz_fitness_image)){
									$img = get_template_directory_uri().'/images/blog.jpg';
								}
								?>
								<div class="blog-post col-md-4 col-sm-6 col-xs-12">
									<div class="box-area-S">
										
										<div class="blog-thumbnail">
											<a href="<?php the_permalink(); ?>"><img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
											<div class="link"></div>
											<div class="link-2"></div>
											</a>
										</div>
										<div class="blog-single">
											<?php 
												$blog_page_id = get_theme_mod('blog_page');	
												$blog_inn_image = get_theme_mod('blog_inn_image');
											?>
											<div class="blog-single-img">
												<div class="blog-date">
													<div class="col-md-9 pd-0">
														<span><?php echo get_the_date( 'd' ); ?></span>
														<?php echo get_the_date( 'M Y' ); ?>
													</div>
													<div class="col-md-3 date-inn">
														<i class="fa fa-comments-o" aria-hidden="true"></i><?php echo $my_var = get_comments_number(); ?>
													</div>
													<div class="clearfix"></div>
						                        </div>
												<a href="<?php the_permalink(); ?>"><h4 class="inner-area-title"><?php the_title(); ?></h4></a>
												<div class="section-area-text">
												<?php 
													if(has_excerpt()){
														echo get_the_excerpt();
													}else{
														echo luzuk_excerpt( get_the_content() , 130 );
													}
													?>

												</div>
											
											</div>
											<div class="clearfix"></div>
										</div>
											<div class="clearfix"></div>
										<!-- <?php if( get_theme_mod('blog_button_display','show' ) == 'show') :
											?>
											<?php
												$blog_page_id = get_theme_mod('blog_page'); 
												$blogbutn_text = get_theme_mod('blogbutn_text', 'READ MORE');
												?>

											<div class="blog-read-more">
												<a href="<?php the_permalink(); ?>"><?php echo $blogbutn_text; ?> <i class="fa fa-plus" aria-hidden="true"></i>
												</a>
											</div>
											<?php endif ?>
 -->


										<div class="clearfix"></div>

									</div>
								</div>
								<?php
							endwhile;
						endif;
						wp_reset_postdata();
						?>
					</div>
						<div class="clearfix"></div>
					</div>	
				</div>

			</div>
		</div>
		<div class="clearfix"></div>
		
</div>
<script>
  jQuery.noConflict();
  $(function(){
    function boxareaSHeight(){
      var ht = 0;
      $('.blog-area .box-area-S').each(function(i){
        var tHt = $(this).height();
        if(ht<tHt){
          ht=tHt;
        }
      });
      $('.blog-area .box-area-S').height(ht+'px');
    }
    boxareaSHeight();
  });
  $( window ).resize(function(){
    boxareaSHeight();
  });
</script>
<?php }